﻿using Syncfusion.Data;
using Syncfusion.SfDataGrid.XForms;
using Syncfusion.SfDataGrid.XForms.DataPager;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace DataGridDemo
{
    public partial class MainPage : ContentPage
    {
        private double screenWidth = 0;
        private double screenHeight = 0;

        SfDataPager dataPager;

        public MainPage()
        {
            InitializeComponent();

            dataPager = new SfDataPager();
            dataPager.Source = viewModel.OrdersInfo;
            dataGrid.ItemsSource = dataPager.PagedSource;
            dataPager.HeightRequest = 50;
            dataPager.NumericButtonCount = 20;
            dataPager.PageSize = 2;

            this.grid.Children.Add(dataPager, 0, 1);

        }

        protected override void OnSizeAllocated(double width, double height)
        {
            base.OnSizeAllocated(width, height);
            if (this.screenWidth != width && dataGrid.Width > 0 || this.screenHeight != height && dataGrid.Height > 0)
            {
                this.screenWidth = width;
                this.screenHeight = height;
                dataPager.PageSize = this.SetPageSize();
                dataPager.ForceLayout();
            }
        }

        private int SetPageSize()
        {
            return (int)((dataGrid.Height - (dataGrid.GetRowHeight(dataGrid.GetHeaderIndex()) - dataGrid.Padding.Top - dataGrid.Padding.Bottom)) / dataGrid.RowHeight);
        }
    }
}
